QGIS Application - Bug report #1872
man pages not entirely visible on the shell
2009-08-12 06:41 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: Lorenzo Masini

Category: GRASS

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11932
Description

If you launch man for a command name from the embedded GRASS shell, some characters are not visible

History

#1 - 2010-03-03 12:04 PM - Redmine Admin

Which characters? Non ascii? Could it be wrong terminal encoding?

#2 - 2010-03-04 08:04 AM - Paolo Cavallini
Not. eg:
man g.gisenv

returns:

NAME

g.gisenv - Outputs and modifies the user's current GRASS variable settings.

etc.

but NAME is not visible (probably black as the background). It IS there, because if you copy and paste it you can find it.

Probably just a colour scheme problem. BTW, it would be better to have a white background IMHO.

#3 - 2010-03-04 11:09 AM - Redmine Admin
- Resolution set to fixed
- Status changed from Open to Closed

With COLOR_SCHEME_BLACK_ON_LIGHT_YELLOW it works, QTermWidget has only: COLOR_SCHEME_WHITE_ON_BLACK,
COLOR_SCHEME_GREEN_ON_BLACK, COLOR_SCHEME_BLACK_ON_LIGHT_YELLOW
